purescript-0.15.12: PureScript Programming Language Compiler

Safe Haskell | Safe-Inferred
Language | Haskell2010

Language.PureScript.Renamer

Description

Renaming pass that prevents shadowing of local identifiers.

Synopsis

- renameInModule :: Module Ann -> (Map Ident Ident, Module Ann)

# Documentation

renameInModule :: Module Ann -> (Map Ident Ident, Module Ann) #

Renames within each declaration in a module. Returns the map of renamed identifiers in the top-level scope, so that they can be renamed in the externs files as well.